#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-DESRmLMJWzFKjSoByvwz6p
key: jose-0.7.0.0-DESRmLMJWzFKjSoByvwz6p
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
author: Fraser Tweedale
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
abi: e0195cc6a79f9f4a0e47d40e233acac7
exposed: True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
import-dirs: /usr/lib/ghc-8.4.3/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-DESRmLMJWzFKjSoByvwz6p
depends:
    base-4.11.1.0 attoparsec-0.13.2.2-8we02vABEtHGk2BnvIppYV
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    concise-0.1.0.1-IYdww9ORfpH4HO84GAasGG containers-0.5.11.0
    cryptonite-0.25-Kkz1nviDHAZ2DrHW1oTQmX
    lens-4.17-5dZWNqW5M4EEWZrOBotRN9
    memory-0.14.18-9akydHRk1ZP1zabNg9e0SJ
    monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ mtl-2.2.2
    template-haskell-2.13.0.0 safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    aeson-1.4.1.0-FRlNztmBJkOGWbKGvmlaJP
    unordered-containers-0.2.9.0-KPgljVKoY3VBKTw1tFbcre
    bytestring-0.10.8.2 text-1.2.3.0 time-1.8.0.2
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
    quickcheck-instances-0.3.19-3zeonWua0oS8YxqQgGRJlB
    x509-1.7.4-H3mUQjtetnOLc1wjRbFf44
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             attoparsec-0.13.2.2-8we02vABEtHGk2BnvIppYV=c37e9b7162f4a40359d5b1d46155434d
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=65adc4f5f54a1c07291b4ebc49756c05
             concise-0.1.0.1-IYdww9ORfpH4HO84GAasGG=c939e4a200110c095fb8231772faeb03
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             cryptonite-0.25-Kkz1nviDHAZ2DrHW1oTQmX=8ad4bf2e2634bfabb074533558bcba79
             lens-4.17-5dZWNqW5M4EEWZrOBotRN9=58958255a99c39ff532d519f59c72a83
             memory-0.14.18-9akydHRk1ZP1zabNg9e0SJ=97b23ab1fbbf628d0139298474539e03
             monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ=3b3735b94e7bbec23fc2968c7b0a63a8
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
             template-haskell-2.13.0.0=ac7dfd04924d4ebfa90a119ad22a36cc
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=42026212d0dad8beaed25fde58365be8
             aeson-1.4.1.0-FRlNztmBJkOGWbKGvmlaJP=5da4d30660c7a0118522c660d6f5af43
             unordered-containers-0.2.9.0-KPgljVKoY3VBKTw1tFbcre=264f905ec4c04eb05b5ff3d7321fae90
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             text-1.2.3.0=9752fd647a108be49a4cb0c2a4456f2b
             time-1.8.0.2=042930fb6746cbaf3bc794f817f8a6b2
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=4ea8f0efa7a1ade0af4e9ce0cffcff8c
             QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr=59a035869ce3bae16d8c8360447f600f
             quickcheck-instances-0.3.19-3zeonWua0oS8YxqQgGRJlB=8d88cb4d050bafd4b589f87fe9f36b01
             x509-1.7.4-H3mUQjtetnOLc1wjRbFf44=a62cb7e01603c34f6a1220218d61ac1f
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=8ec9732a4c43da9ed60d7a7b8971b540
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

